std::ios_base::~ios_base(3)

NAME
std::ios_base::~ios_base - std::ios_base::~ios_base

Synopsis
   virtual ~ios_base();
   Destroys the ios_base object.
   Before any of the member functions would yield undefined results, calls callbacks,
   registered by register_callback() passing erase_event as parameter. Then,
   deallocates any memory obtained.
   No operations on rdbuf are performed, it is not destroyed.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 3434 C++98 the destructor was not required to reclaim required
                       memory for iarray and parray